<template><div /></template>

<script>
import { mapGetters, mapActions } from 'vuex';

export default {
  mounted() {
    this.deleteSession()
      .then((res) => {})
      .catch((e) => {})
      .finally((e) => {
        if (import.meta.env.RAILS_ENV == 'production') {
          // 本番環境のときZendeskからのログアウトする
          window.location = 'https://jollygoodplus.zendesk.com/access/logout';
        } else {
          this.$router.push({ path: '/accounts/sign_in' });
        }
      });
  },
  methods: {
    ...mapActions(['deleteSession']),
  },
};
</script>
